local ZombieCommonAI = BaseClass("ZombieCommonAI")

function ZombieCommonAI:Init(unit)
  self.unit = unit
end

function ZombieCommonAI:__delete()
  self.unit = nil
end

function ZombieCommonAI:GetTarget(skill)
  if skill:IsNormalAttack() then
    local tauntTarget = self.unit:GetTauntTarget()
    if tauntTarget then
      return tauntTarget
    end
  end
  local ret = skill:SearchTargetIgnoreRange()
  return ret
end

return ZombieCommonAI
